Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-bindings
Version:    1.3.0
Release:    alt1_4
Summary:    Helper module for loading your native module's .node file
# License text is included in README.md
License:    MIT
URL:        https://github.com/TooTallNate/node-bindings
Source0:    https://registry.npmjs.org/bindings/-/bindings-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
This is a helper module for authors of Node.js native addon modules.
It is basically the "swiss army knife" of require()ing your native module's
.node file.

Throughout the course of Node's native addon history, addons have ended up
being compiled in a variety of different places, depending on which build tool
and which version of node was used. To make matters worse, now the gyp build
tool can produce either a Release or Debug build, each being built into
different locations.

This module checks all the possible locations that a native addon would be
built at, and returns the first one that loads successfully.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bindings
cp -pr package.json bindings.js \
    %{buildroot}%{nodejs_sitelib}/bindings

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/bindings


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_4
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_3
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- initial import

